﻿@using dbChange.Models.VanPhongSo;
@using dbChange.Models.LIB;
@{
    ViewData["Title"] = "BoChungTu_ChiTiet";
    Layout = "~/Views/Shared/_Layout_VanPhongSo.cshtml";
    var vanban = ViewData["vanban"] as VanBan;
    var vanBan_ChiTiet = ViewData["vanBan_ChiTiet"] as List<VanBan_ChiTiet>;
    var Quyen = ViewData["Quyen"] as List<VanBan_Quyen>;
    bool isScan = Convert.ToBoolean(ViewData["isScan"]);
    var IdAccount = Convert.ToInt64(ViewData["IdAccount"]);

    var DonVi = ViewData["DonVi"] as List<DM_BoPhanChiTiet>;
}

<div class="iq-card">
    <div class="iq-card-header d-flex justify-content-between">
        <div class="iq-header-title">
            <h4 class="text-primary card-title">
                <i class="ri-profile-line"></i>
                @vanban.TieuDe
            </h4>
        </div>
        <a data-toggle="collapse" href="#collapseContent" role="button" aria-expanded="true" aria-controls="collapseContent">
            <h4><i class="fa fa-arrows-v"></i></h4>
        </a>
    </div>
    <div class="iq-card-body">
        <form class="form-horizontal form_CapNhat_BoChungTu" action="" novalidate>
            
            <div class="collapse show" id="collapseContent">
                <div class="row">
                    <div class="col-sm-6 col-12">
                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-3 col-12 align-self-center mb-0" for="TenDonVi">Phòng ban:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <input type="text" class="form-control form-control-sm DonVi" id="DonVi" readonly value="@vanban.TenDonVi" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-4 col-12 align-self-center mb-0" for="TieuDe">Tiêu đề:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <input type="text" class="form-control form-control-sm TieuDe" id="TieuDe" readonly value="@vanban.TieuDe" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-3 col-12 align-self-center mb-0" for="NoiDung">Nội dung:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <textarea class="form-control form-control-sm NoiDung" rows="5" id="NoiDung" readonly required>@vanban.NoiDung</textarea>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-6 col-12">
                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-4 col-12 align-self-center mb-0" for="MaVanBan">Mã văn bản:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <input type="text" class="form-control form-control-sm" id="MaVanBan" value="@vanban.MaVanBan" readonly required>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-3 col-12 align-self-center mb-0" for="TenDonVi">Quyền:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <select readonly class="form-control form-control-sm MaQuyenVanBan" name="MaQuyenVanBan" id="MaQuyenVanBan" required>
                                    @{
                                        foreach (VanBan_Quyen row in Quyen)
                                        {
                                            if (row.MaQuyenVanBan == vanban.MaQuyenVanBan)
                                            {
                                                <option selected value="@row.MaQuyenVanBan">@row.TenQuyenVanBan</option>
                                            }
                                            else
                                            {
                                                <option value="@row.MaQuyenVanBan">@row.TenQuyenVanBan</option>
                                            }
                                        }
                                    }
                                </select>
                            </div>
                        </div>




                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-3 col-12 align-self-center mb-0" for="NguoiTao">Người tạo:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <input type="text" class="form-control form-control-sm" id="TenNguoiTao" value="@vanban.TenNguoiTao" readonly>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-4 col-12 align-self-center mb-0" for="NgayTao">Ngày tạo:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <input type="text" class="form-control form-control-sm" id="NgayTao" value="@vanban.NgayTao.ToString("dd/MM/yyyy")" readonly>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-3 col-4 align-self-center mb-0" for="TrangThai">Trạng thái:</label>
                            <div class="col-xl-8 col-lg-8 col-6">
                                <h5>
                                    @{
                                        if (vanban.TrangThai == "MoiTao")
                                        {
                                            <span class="badge badge-pill badge-secondary">Mới tạo</span>
                                        }
                                        else if (vanban.TrangThai == "HoanTat")
                                        {
                                            <span class="badge badge-pill badge-success">Hoàn tất</span>
                                        }
                                        else if (vanban.TrangThai == "DaKhoa")
                                        {
                                            <span class="badge badge-pill badge-warning">Đã khóa</span>
                                        }
                                        else if (vanban.TrangThai == "DaHuy")
                                        {
                                            <span class="badge badge-pill badge-danger">Đã huỷ</span>
                                        }
                                    }
                                </h5>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </form>
    </div>
</div>

<div class="iq-card">

    <div class="iq-card-body">
        <div id="gridContainer"></div>
    </div>
</div>
